PMDADOCKER(1)

NAME
pmdadocker - docker performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/pmdadocker [-d domain] [-l logfile]

DESCRIPTION
pmdadocker is a docker Performance Metrics Domain Agent (PMDA) which exposes performance metrics as reported from the Docker Remote API.

A brief description of the pmdadocker command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named docker.log is written in the current directory of pmcd(1) when pmdadocker is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

Remote API metric requests are activated automatically and are fetched on a timer. This timer is represented as a by pmdadocker via the docker.control.timing. By default, pmdadocker will be set to fetch on a 1 second interval.

pmdadocker will iterate over three different docker remote API calls:

/containers/$ID/json
    Container metrics regarding the current state of the container. Such as PID, name or if the container is running.

/version
    Basic version metrics about the current docker daemon in use.

/containers/$ID/stats?stream=0
    More in depth memory and cpu metrics of the container.

INSTALLATION
If you want access to the names, help text and values for the docker performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/docker
# ./Install

If you want to undo the installation (and remove both PMDAs), do the following as root:

# cd $PCP_PMDAS_DIR/docker
# ./Remove

pmdadocker is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdadocker
$PCP_PMDAS_DIR/docker/help
    default help text file for the docker metrics
$PCP_PMDAS_DIR/docker/Install
    installation script for the pmdadocker agent
$PCP_PMDAS_DIR/docker/Remove
    undo installation script for the pmdadocker agent
$PCP_LOG_DIR/pmcd/docker.log
    default log file for error messages and other information from pmdadocker

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5). In particular, the $PCP_DOCKER_DIR may be set to change the default directory from /var/lib/docker.

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5), pcp.env(5) and docker(1).